Skip to main content
POST
/
ecommerce
/
v2
/
apps
/
{app_id}
/
products
/
search
curl -X POST "https://gateway.jelou.ai/ecommerce/v2/apps/{app_id}/products/search?page=1&limit=20" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "search": {
      "value": "t-shirt",
      "case_sensitive": false
    },
    "filters": [
      { "field": "price", "operator": ">=", "value": 10 },
      { "field": "has_tax", "operator": "=", "value": true }
    ],
    "scopes": [
      { "name": "withDiscount" }
    ],
    "sort": [
      { "field": "created_at", "direction": "desc" }
    ],
    "includes": [
      { "relation": "variations" }
    ]
  }'
Unlike list, this endpoint does apply filters, search, scopes and sorting, sent in the request body.
app_id
string
required
Your store ID in Jelou Shop.
page
integer
default:"1"
Page number to return.
limit
integer
default:"15"
Number of results per page (max. 200).
download
boolean
If present, the response is an XLSX file with the products matching the filters, instead of JSON.
Text search object.
filters
object[]
List of filters to apply.
scopes
object[]
List of scopes (predefined filters) to apply.
sort
object[]
Result ordering.
includes
object[]
List of relations to expand in the response.
curl -X POST "https://gateway.jelou.ai/ecommerce/v2/apps/{app_id}/products/search?page=1&limit=20" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "search": {
      "value": "t-shirt",
      "case_sensitive": false
    },
    "filters": [
      { "field": "price", "operator": ">=", "value": 10 },
      { "field": "has_tax", "operator": "=", "value": true }
    ],
    "scopes": [
      { "name": "withDiscount" }
    ],
    "sort": [
      { "field": "created_at", "direction": "desc" }
    ],
    "includes": [
      { "relation": "variations" }
    ]
  }'
Searchable fields: name, sku Filterable fields: created_at, price, has_tax, categories.id Sortable fields: created_at Scopes: withDiscount, withoutDiscount, whereDate Available relations: media, categories, attributes, prices, variations, variations.media, variations.productAttributes, attributeTypes, featureValues
To export the results to XLSX add ?download to the URL. The response will be the file instead of JSON.